use crate::filters;
use chrono::NaiveDate;
use rinja::Template;

use crate::models::{Event, Location, Role, User};

pub mod get_edit;
pub mod get_new;
pub mod get_plan;
pub mod post_new;
pub mod post_edit;
pub mod put_cancelation;

#[derive(Template)]
#[cfg_attr(not(test), template(path = "events/new_or_edit.html"))]
#[cfg_attr(test, template(path = "events/new_or_edit.html", block = "content"))]
pub struct NewEventTemplate {
    user: User,
    date: NaiveDate,
    locations: Vec<Location>,
    event: Option<Event>,
    amount_of_planned_posten: usize,
    is_fuehrungsassistent_planned: bool,
    is_wachhabender_planned: bool,
}
